## ros-dashing-rc-genicam-api 2.4.4

=== debian/changelog ===
ros-dashing-rc-genicam-api (2.4.4-1bionic) bionic; urgency=high

  * Trying to fix problem that interface handle becomes invalid

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Oct 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.4.3-1bionic) bionic; urgency=high

  * Improved reporting of exceptions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.4.2-1bionic) bionic; urgency=high

  * Added some optional Roboception specific information to the parameter files
  * Fixed crashing of gc_info if getting nodemap from device fails
  * Fixed getEnum crash if enum doesn't contain a value

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.4.1-1bionic) bionic; urgency=high

  * Enabled building for ROS focal on gitlab

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Jul 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.4.0-1bionic) bionic; urgency=high

  * gc_stream now puts status of GPIO out and in lines in two separate bit fields in file name

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.3.7-1bionic) bionic; urgency=high

  * Improved finding devices, e.g. by IP if GenTL provider supports this

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.3.6-1bionic) bionic; urgency=high

  * Fixed compile bug under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 16 Apr 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.3.5-1bionic) bionic; urgency=high

  * ensure that downscale factor doesn't lead to division by zero
  * remove build_export_depend on catkin from package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 05 Apr 2020 22:00:00 -0000

ros-dashing-rc-genicam-api (2.3.4-1bionic) bionic; urgency=high

  * Workaround for Baumer GenTL GEV interface enumeration bug

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 14 Mar 2020 23:00:00 -0000

ros-dashing-rc-genicam-api (2.3.3-1bionic) bionic; urgency=high

  * fix version in package.xml
  * fix Dockerfile

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-dashing-rc-genicam-api (2.3.2-1bionic) bionic; urgency=high

  * add libpng-dev dependency in package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-dashing-rc-genicam-api (2.3.1-1bionic) bionic; urgency=high

  * Reporting full name of stored images, including suffix

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 09 Jan 2020 23:00:00 -0000

ros-dashing-rc-genicam-api (2.3.0-1bionic) bionic; urgency=high

  * Tool gc_stream:
    * now also stores the exposure time and gain in parameter files
    * added storing 16 bit images
    * Added parameter '-f png' for storing images in PNG format
    * Reporting all stored images (IntensityRight was missing)
  * Tool gc_info:
    * print User defined name
  * Refactoring:
    * Moved functions to store images from gc_stream tool into core library
    * Moved function to store point cloud from tool to library
  * Fixed:
    * Do not return device if it can be found on different producers
    * reporting device name instead of test option when misspelling the device in 'gc_stream -t <device> ...' call
    * net_perf_check.sh: fix getting mtu

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 19 Dec 2019 23:00:00 -0000

ros-dashing-rc-genicam-api (2.2.3-1bionic) bionic; urgency=high

  * Fixed Windows install issues
  * Fixing segfault in Buffer::getTLType()

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 24 Jul 2019 22:00:00 -0000

ros-dashing-rc-genicam-api (2.2.2-1bionic) bionic; urgency=high

  * Set TLParamsLocked before requesting maximum buffer size
  * Only free as many buffers as allocated to avoid errors off GenTL producer
  * Request global buffer YPadding only for none multipart buffers to avoid errors of GenTL producer

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-dashing-rc-genicam-api (2.2.1-1bionic) bionic; urgency=high

  * Automatically splitting the stereo images in rc_visards special combined format into Intenstiy and IntensityRight images
  * Using TLParamsLocked correctly in streaming class as some cameras require this
  * gc_stream now disables component Intensity if IntensityCombined is enabled
  * gc_stream now creates parameter file for each Intensity image as well
  * Increased timeout for updating the device list to 100 ms as 10 ms can be too less for some cameras / producers

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-dashing-rc-genicam-api (2.2.0-1bionic) bionic; urgency=high

  * gc_info does not report not implemented parameters any more
  * gc_info can now also only print specified nodes (which can be a category) by appending the node name with '?' to the device id.
  * gc_stream can now measure frequency and latency of incomming buffers
  * Windows: look for transport layer in folder of rc_genicam_api.dll
  * support modern cmake
    - A "meta target" for all Genicam targets is defined, rc_genicam_api::genicam, on which rc_genicam_api::rc_genicam_api depends publicly.
    - Compile options and definitions of rc_genicam_api are set to private, only /DGENICAM_NO_AUTO_IMPLIB is public
    - Install paths are defined using GNUInstallDirs
  * update Baumer GenTL providers to 2.9.2.22969
    - Support for payload type Multi-part added
    - The GigE Producer now find devices connected to virtual interfaces for Linux

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 01 May 2019 22:00:00 -0000

ros-dashing-rc-genicam-api (2.1.2-1bionic) bionic; urgency=high

  * Remove global include_directories in cmake build files
  * Use full precision timestamp in name of images saved by gc_stream
  * Append out1 and out2 state to name of images saved by gc_stream


