=== debian/control ===
Source: ros-dashing-rc-genicam-api
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libpng-dev, libusb-1.0-0, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/rc_genicam_api
Standards-Version: 3.9.2

Package: ros-dashing-rc-genicam-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpng-dev, libusb-1.0-0, ros-dashing-ros-workspace
Description: GenICam/GigE Vision Convenience Layer.
 This package combines the Roboception convenience layer for images with the GenICam reference implementation and a GigE Vision transport layer. It is a self contained package that permits configuration and image streaming of GenICam / GigE Vision 2.0 compatible cameras like the Roboception rc_visard. This package also provides some tools that can be called from the command line for discovering cameras, changing their configuration and streaming images. Although the tools are meant to be useful when working in a shell or in a script, their main purpose is to serve as example on how to use the API for reading and setting parameters, streaming and synchronizing images. See LICENSE.md for licensing terms of the different parts.
